Summary: The GNU Krell Monitor, stacked system monitors in one process.
Name: gkrellm
Version: 1.2.11
Release: fr1
Epoch: 1
License: GPL
Group: Applications/System
Source: http://web.wt.net/~billw/gkrellm/gkrellm-%{version}.tar.bz2
URL: http://www.gkrellm.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2, glib >= 1.2, imlib
BuildRequires: gtk+-devel >= 1.2, gettext

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.

%package devel
Summary: Include headers from the gkrellm monitor.
Group: Development/Libraries
Requires : gkrellm = %{version}

%description devel
Install this package if you intend to compile plugins to use with the
GKrellM monitor.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/locale
mkdir -p %{buildroot}%{_datadir}/gkrellm/plugins
mkdir -p %{buildroot}%{_datadir}/gkrellm/themes
make install \
 INSTALLDIR=%{buildroot}%{_bindir} \
 INCLUDEDIR=%{buildroot}%{_includedir} \
 MANDIR=%{buildroot}%{_mandir}/man1 \
 LOCALEDIR=%{buildroot}%{_datadir}/locale
 
%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYRIGHT Changelog* README Themes.html
%{_bindir}/gkrellm
%{_datadir}/gkrellm
%{_datadir}/locale/*/LC_MESSAGES/gkrellm.mo
%{_mandir}/man1/gkrellm.1*

%files devel
%defattr(-, root, root)
%{_includedir}/gkrellm

%changelog
* Thu Mar 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.11.

* Thu Mar 21 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.10.

* Sat Feb 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.9.

* Sat Jan  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.8.

* Thu Jan  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.7.

* Mon Dec 18 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.6.

* Wed Dec  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.5.

* Wed Oct 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.4.

* Wed Oct 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.3.

* Thu Aug 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.2.

* Thu Aug  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.1.

* Wed Aug  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.2.0.

* Tue Apr 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.8.

* Tue Mar 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.7, added the new manpage and changed the URL.

* Tue Jan 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.6

* Wed Jan 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.5
- Now build the NLS stuff

* Mon Jan 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.4

* Mon Jan  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.3

* Mon Jan  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- There is now a separate -devel package
- Fixed permissions
- Added an empty plugins directory
- Happy new year :-)

* Mon Dec  4 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 1.0.2
- Added an empty themes directory

* Wed Nov  8 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Re-did the spec file for RedHat 7.0

* Thu Apr 6 2000 Bill Wilson
- added INCLUDEDIR to the make install

* Fri Oct 29 1999 Gary Thomas <gdt@linuxppc.org>
- .spec file still broken

* Thu Oct 7 1999 David Mihm <davemann@ionet.net>
- fixed spec.

